Announcement

Collapse
No announcement yet.

Likely Radeon Gallium3D Regression On Linux 3.14 + Mesa 10.2

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #61
    I will stop posting benchmarks here if this continues

    Originally posted by TAXI View Post
    Luke: it might get fixed without a bisect, too, but the bisect would rise the chances by a large amount cause the devs will know exactly where the root of the problem is. Also bisecting is extremely simple, after you've done it you'll laugh about how simple it was. All you need are 3 commands: The first one to tell git that you want to bisect, then 2 commands to tell git the version it gave you is either good or bad.
    Nothing particular about the issue at hand (git bisect) but I've gotten WAY too much pressure over this. I do not react well to that! I don't think I will post any more benchmarks here, this is just too much for me and I don't want to be part of something that pushes people like that. With so many people making the same demand, I don't want to put myself in this position again. After all, I am not some paid developer putting out product to order.

    As for the specifics, I've never compiled X or Mesa from source, do NOT have a landline connection for a lot of bandwidth, etc. I will leave this for others-fixed or not. As of right not it's working good enough for me with the most recent changes, and I don't even know whether the Critter benchmark will still translate into a slowdown in more demanding games I lack the bandwidth to download. Scorched 3d is now mostly back up to speed.

    Comment


    • #62
      If I am going to play with GIT Bisect

      Originally posted by Luke View Post
      Nothing particular about the issue at hand (git bisect) but I've gotten WAY too much pressure over this.
      Before I would have any confidence trying to do something like this with X, the kernel, or similar large system programs, I would need to start with something simple with a small volume of code not requiring a road trip for bandwidth, etc. Probably a known application with a known, recent and severe bug(fixed or otherwise), not a lot to compile, not a lot of build-deps to chase down and remove later, where whether or not a particular version works is instantly obvious. In short, a practice target, not something major that I've never screwed around with building from source.

      Comment


      • #63
        For what it's worth, I don't think you were actually being pressured. Your initial responses read more like "I don't know how to do it" (along with a couple of concerns like additional network traffic for bisecting) than "I don't want to do it" so a bunch of people piled on and responded to the specific concerns you raised. It wasn't at all obvious to me, for example, that your concern was primarily downloading the git repos in the first place, not additional traffic for bisecting...

        ... and I'm running on a cellular modem at home so if anyone would have picked up on your real concerns at the start it should have been me
        Last edited by bridgman; 03-20-2014, 12:02 AM.

        Comment


        • #64
          Originally posted by Luke View Post
          Before I would have any confidence trying to do something like this with X, the kernel, or similar large system programs, I would need to start with something simple with a small volume of code not requiring a road trip for bandwidth, etc. Probably a known application with a known, recent and severe bug(fixed or otherwise), not a lot to compile, not a lot of build-deps to chase down and remove later, where whether or not a particular version works is instantly obvious. In short, a practice target, not something major that I've never screwed around with building from source.
          I don't understand how you are able to downgrade just the X server without building from sources. The ABI version has changed between xorg-server 1.14 and 1.15 so the same binary xf86-video-ati driver should not load in both versions, though the same version could be built for both ABIs. So are you also upgrading/downgrading the ati X driver in the process?

          Comment


          • #65
            Downgrades easy when all .deb packages are kept

            Originally posted by Ansla View Post
            I don't understand how you are able to downgrade just the X server without building from sources. The ABI version has changed between xorg-server 1.14 and 1.15 so the same binary xf86-video-ati driver should not load in both versions, though the same version could be built for both ABIs. So are you also upgrading/downgrading the ati X driver in the process?
            I never throw out .deb packages. They are updated on the road on one machine, then kept for installation on all others. After that an update day's directory of debs is simply kept. They use little space in video editing machines with 4TB file systems, I've got them all the way back to Jaunty.

            OK, here's how I find regressions, think of this as a "precompiled binary bisect": If something breaks or works poorly after an update, look at packages that have been updated since the last known good run. Pull up gnome-search tool, find the previous versions of those wherever you keep your old packages. Copy them all into a rollback folder, in this case that began with the last previous versions of each Xorg related package in one directory, all of Mesa in another. By always using the last previous versions you get compatability. Needless to say, this was ALL of the previous X server!

            Rollback is then simply cd into each directory, sudo dpkg -i --force-all *, then open synaptic to find any broken packages that require other packages to be rolled back. Keep all the rollback packages in one directory, current versions in another. Now you can switch them back and forth, and when multiple package families like Mesa and X are involved mix and match them if they are compatable. That's how I found that most of the problem was in February's X updates, but about 20% in the default disablement of hyper-Z in Mesa. It's also why I could easily update again this week, knowing I could just as quickly roll back if I needed to. Results reported earlier in this thread indicate better results as of now, enough to keep the current X server this time around,

            Needless to say, if you throw away packages you can't do any of this. Usually it's been Kdenlive or Audacity issues I've done this on, dealing with X was a lot of packages to dig up, at least I had them on hand and gnome-search-tool could find them.
            Last edited by Luke; 03-20-2014, 02:52 PM.

            Comment

            Working...
            X